Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043051
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-29 16:222020-02-07 11:33
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisionbfcc801da2e8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043051: Apply new HQL Style in CostingRuleProcessOnProcessHandler.java

DescriptionCostingRuleProcessOnProcessHandler.java has 2 HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0117365)
inigo_lerga (developer)
2020-01-30 12:16

Test Plan Mantis HQL queries:
As the F&B International Group Admin role:
    - Go to the Costing Rules window and create a new
      record with all fields as default. Save and press
      the Validate Costing Rule button and then Done
      button in the popup window.
    #In this moment the modified HQLs are executed#
(0117553)
hgbot (developer)
2020-02-07 11:32

Repository: erp/devel/pi
Changeset: bfcc801da2e8e663531c7f875c69a8dd962cea99
Author: IƱigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Jan 30 12:10:00 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bfcc801da2e8e663531c7f875c69a8dd962cea99 [^]

fixes BUG-43051:Applied new HQL Style + finals added

---
M src/org/openbravo/costing/CostingRuleProcessOnProcessHandler.java
---
(0117554)
hgbot (developer)
2020-02-07 11:32

Repository: erp/devel/pi
Changeset: a917cf43f5c879a830e3f559bbd056e8b9eaa1c4
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Feb 07 11:32:08 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a917cf43f5c879a830e3f559bbd056e8b9eaa1c4 [^]

Related to ISSUE-43051. Code Review changes:
* Use id's instead of objects in hql queries
* Changed variable names to better reflect that they
  refer to an id.

---
M src/org/openbravo/costing/CostingRuleProcessOnProcessHandler.java
---
(0117555)
dmiguelez (developer)
2020-02-07 11:33

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-29 16:22 inigo_lerga New Issue
2020-01-29 16:22 inigo_lerga Assigned To => inigo_lerga
2020-01-29 16:22 inigo_lerga Modules => Core
2020-01-29 16:22 inigo_lerga Triggers an Emergency Pack => No
2020-01-29 16:22 inigo_lerga Relationship added related to 0041287
2020-01-29 16:23 inigo_lerga Status new => scheduled
2020-01-30 12:16 inigo_lerga Note Added: 0117365
2020-02-07 11:32 hgbot Checkin
2020-02-07 11:32 hgbot Note Added: 0117553
2020-02-07 11:32 hgbot Status scheduled => resolved
2020-02-07 11:32 hgbot Resolution open => fixed
2020-02-07 11:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bfcc801da2e8e663531c7f875c69a8dd962cea99 [^]
2020-02-07 11:32 hgbot Checkin
2020-02-07 11:32 hgbot Note Added: 0117554
2020-02-07 11:33 dmiguelez Review Assigned To => dmiguelez
2020-02-07 11:33 dmiguelez Note Added: 0117555
2020-02-07 11:33 dmiguelez Status resolved => closed
2020-02-07 11:33 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker